#!/bin/bash
apt-get update

#disable automatic update
apt-get remove update-manager-core unity-webapps-common

#install software
apt-get install zsh pkg-config make cmake clang clang-format-3.6 ccache valgrind valgrind-dbg gdb cgdb ghex cppcheck tree mc htop vim vim-gnome nano unzip libsdl2-dev libboost-dev libgtest-dev subversion git gitk meld lib32ncurses5

# make alias open
cd /usr/bin
ln -s xdg-open open

# colorize term
echo "force_color_prompt=yes" | tee --append /etc/bash.bashrc

#remove amazon icon
rm -rf /usr/share/applications/ubuntu-amazon-default.desktop

#disable online search
cd /etc/xdg/autostart/
sudo touch disable_onlinesearch.desktop
echo "[Desktop Entry]" | tee --append disable_onlinesearch.desktop
echo "Name=Disable Search" | tee --append disable_onlinesearch.desktop
echo "Exec=/bin/bash -c \"gsettings set com.canonical.Unity.Lenses remote-content-search 'none'\"" | tee --append disable_onlinesearch.desktop
echo "Type=Application" | tee --append disable_onlinesearch.desktop

